Method: projects.locations.bindings.list

Lists Bindings in a given project and location.

HTTP request

GET https://agentregistry.googleapis.com/v1alpha/{parent=projects/*/locations/*}/bindings

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The project and location to list bindings in. Expected format: projects/{project}/locations/{location}.

Query parameters

Parameters
pageSize

integer

Optional. Requested page size. Server may return fewer items than requested. Page size is 500 if unspecified and is capped at 500 even if a larger value is given.

pageToken

string

Optional. A token identifying a page of results the server should return.

filter

string

Optional. A query string used to filter the list of bindings returned. The filter expression must follow AIP-160 syntax.

orderBy

string

Optional. Hint for how to order the results

Request body

The request body must be empty.

Response body

Message for response to listing Bindings

If successful, the response body contains data with the following structure:

JSON representation
{
  "bindings": [
    {
      object (Binding)
    }
  ],
  "nextPageToken": string
}
Fields
bindings[]

object (Binding)

The list of Binding resources matching the parent and filter criteria in the request. Each Binding resource follows the format: projects/{project}/locations/{location}/bindings/{binding}.

nextPageToken

string

A token identifying a page of results the server should return. Used in pageToken.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/cloud-platform.read-only
  • https://www.googleapis.com/auth/agentregistry.read-write
  • https://www.googleapis.com/auth/agentregistry.read-only

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • agentregistry.bindings.list

For more information, see the IAM documentation.